@article{middleton2011hpcc,
	title={HPCC systems: Introduction to HPCC (High-Performance Computing Cluster)},
	author={Middleton, A and Solutions, PDLR},
	journal={White paper, LexisNexis Risk Solutions},
	year={2011}
}

@article{che2008performance,
	title={A performance study of general-purpose applications on graphics processors using CUDA},
	author={Che, Shuai and Boyer, Michael and Meng, Jiayuan and Tarjan, David and Sheaffer, Jeremy W and Skadron, Kevin},
	journal={Journal of parallel and distributed computing},
	volume={68},
	number={10},
	pages={1370--1380},
	year={2008},
	publisher={Elsevier}
}

@article{dolbeau2018theoretical,
	title={Theoretical peak FLOPS per instruction set: a tutorial},
	author={Dolbeau, Romain},
	journal={The Journal of Supercomputing},
	volume={74},
	number={3},
	pages={1341--1377},
	year={2018},
	publisher={Springer}
}

@online{KNL,
	author = {Intel Corporation},
	title =  {Intel Xeon Phi Processor 7250},
	Year = {2017},
	urldate = {2018-04-11},
	url = {https://ark.intel.com/products/94035/Intel-Xeon-Phi-Processor-7250-16GB-1_40-GHz-68-core},
}

@article{sodani2016knights,
	title={Knights Landing: Second-generation Intel Xeon Phi product},
	author={Sodani, Avinash and Gramunt, Roger and Corbal, Jesus and Kim, Ho-Seop and Vinod, Krishna and Chinthamani, Sundaram and Hutsell, Steven and Agarwal, Rajat and Liu, Yen-Chen},
	journal={Ieee micro},
	volume={36},
	number={2},
	pages={34--46},
	year={2016},
	publisher={IEEE}
}

@online{E7-family,
	author = {Intel Corporation},
	title =  {INTEL® XEON® PROCESSOR E7 FAMILY},
	Year = {2018},
	urldate = {2018-04-27},
	url = {https://www.intel.com/content/www/us/en/products/processors/xeon/e7-processors.html},
}

@online{E5-family,
	author = {Intel Corporation},
	title =  {INTEL® XEON® PROCESSOR E5 FAMILY},
	Year = {2018},
	urldate = {2018-04-27},
	url = {https://www.intel.com/content/www/us/en/products/processors/xeon/e5-processors.html},
}

@online{E5-4640v4,
	author = {Intel Corporation},
	title =  {INTEL® XEON® PROCESSOR E5-4640 V4},
	Year = {2016},
	urldate = {2018-05-08},
	url = {https://www.intel.com/content/www/us/en/products/processors/xeon/e5-processors/e5-4640-v4.html},
}

@online{E7-4850v4,
	author = {Intel Corporation},
	title =  {INTEL® XEON® PROCESSOR E7-4850 V4},
	Year = {2016},
	urldate = {2018-05-08},
	url = {https://www.intel.com/content/www/us/en/products/processors/xeon/e7-processors/e7-4850-v4.html},
}

@online{E7-8890v4,
	author = {Intel Corporation},
	title =  {INTEL® XEON® PROCESSOR E7-8890 V4},
	Year = {2016},
	urldate = {2018-05-08},
	url = {https://www.intel.com/content/www/us/en/products/processors/xeon/e7-processors/e7-8890-v4.html},
}


@online{KNL7250,
	author = {Intel Corporation},
	title =  {INTEL® XEON PHI™ PROCESSOR 7250},
	Year = {2016},
	urldate = {2018-05-09},
	url = {https://www.intel.com/content/www/us/en/products/processors/xeon-phi/xeon-phi-processors/7250.html},
}

@online{Tesla-family,
	author = {NVIDIA Corporation},
	title =  {NVIDIA TESLA},
	Year = {2018},
	urldate = {2018-04-27},
	url = {https://www.nvidia.com/en-us/data-center/tesla/},
}

@online{TeslaP100,
	author = {NVIDIA Corporation},
	title =  {NVIDIA TESLA P100},
	Year = {2018},
	urldate = {2018-05-08},
	url = {http://www.nvidia.com/object/tesla-p100.html},
}

@online{TeslaK80,
	author = {NVIDIA Corporation},
	title =  {NVIDIA TESLA K80},
	Year = {2018},
	urldate = {2018-05-08},
	url = {https://www.nvidia.com/en-us/data-center/tesla-k80/},
}

@article{kicinger2005evolutionary,
	title={Evolutionary computation and structural design: A survey of the state-of-the-art},
	author={Kicinger, Rafal and Arciszewski, Tomasz and De Jong, Kenneth},
	journal={Computers \& Structures},
	volume={83},
	number={23-24},
	pages={1943--1978},
	year={2005},
	publisher={Elsevier}
}

@article{brooks1995optimization,
	title={Optimization using simulated annealing},
	author={Brooks, Stephen P and Morgan, Byron JT},
	journal={The Statistician},
	pages={241--257},
	year={1995},
	publisher={JSTOR}
}

@techreport{hart1995theoretical,
	title={A theoretical comparison of evolutionary algorithms and simulated annealing},
	author={Hart, William E},
	year={1995},
	institution={Sandia National Labs., Albuquerque, NM (United States)}
}

@online{E5,
	author = {Intel Corporation},
	title =  {Intel Xeon Processor E5-4620 v4},
	Year = {2017},
	urldate = {2018-04-11},
	url = {https://ark.intel.com/products/93800/Intel-Xeon-Processor-E5-4620-v4-25M-Cache-2_10-GHz},
}

@online{matlab,
	author = {The MathWorks Inc.},
	title =  {Optimization Toolbox},
	Year = {2018},
	urldate = {2018-05-03},
	url = {https://www.mathworks.com/products/optimization.html},
}

@online{gcc,
	author = {GCC Developer Community},
	title =  {GCC, the GNU Compiler Collection},
	Year = {2017},
	urldate = {2017-12-15},
	url = {https://gcc.gnu.org/},
}

@online{icc,
	author = {Intel Corporation},
	title =  {Intel® C++ Compilers},
	Year = {2017},
	urldate = {2018-04-16},
	url = {https://software.intel.com/en-us/c-compilers},
}

@misc{intelFLOPS,
	author = {Intel Corporation},
	title = {Intel® Processor-Based Server Selection Guide},
	year = {2014},
	url = {http://www.intel.com/content/dam/www/public/us/en/documents/guides/enterprise-reliability-xeon-itanium-server-guide.pdf},
}

@article{zhang2016guide,
	title={Guide to automatic vectorization with Intel AVX-512 instructions in Knights Landing processors},
	author={Zhang, Bonan},
	journal={Colfax International},
	year={2016}
}

@incollection{gandomi2013metaheuristic,
	title={Metaheuristic algorithms in modeling and optimization},
	author={Gandomi, Amir Hossein and Yang, Xin-She and Talatahari, Siamak and Alavi, Amir Hossein},
	booktitle={Metaheuristic applications in structures and infrastructures},
	pages={1--24},
	year={2013},
	publisher={Elsevier}
}

@article{blum2003metaheuristics,
	title={Metaheuristics in combinatorial optimization: Overview and conceptual comparison},
	author={Blum, Christian and Roli, Andrea},
	journal={ACM computing surveys (CSUR)},
	volume={35},
	number={3},
	pages={268--308},
	year={2003},
	publisher={ACM}
}

@article{bertsimas1993simulated,
	title={Simulated annealing},
	author={Bertsimas, Dimitris and Tsitsiklis, John and others},
	journal={Statistical science},
	volume={8},
	number={1},
	pages={10--15},
	year={1993},
	publisher={Institute of Mathematical Statistics}
}

@online{fmincon,
	author = {The MathWorks Inc.},
	title =  {fmincon},
	Year = {2018},
	urldate = {2018-05-14},
	url = {https://www.mathworks.com/help/optim/ug/fmincon.html},
}

@article{byrd1999interior,
	title={An interior point algorithm for large-scale nonlinear programming},
	author={Byrd, Richard H and Hribar, Mary E and Nocedal, Jorge},
	journal={SIAM Journal on Optimization},
	volume={9},
	number={4},
	pages={877--900},
	year={1999},
	publisher={SIAM}
}

@online{optimization-alg,
	author = {The MathWorks Inc.},
	title =  {Constrained Nonlinear Optimization Algorithms},
	Year = {2018},
	urldate = {2018-05-15},
	url = {https://www.mathworks.com/help/optim/ug/constrained-nonlinear-optimization-algorithms.html#brnpd5f},
}

@online{gcc5,
	author = {GCC Developer Community},
	title =  {GCC 5 Release Series},
	Year = {2017},
	urldate = {2018-05-15},
	url = {https://gcc.gnu.org/gcc-5/},
}

@online{i5-7600,
	author = {Intel Corporation},
	title =  {Intel® Core™ i5-7600 Processor},
	Year = {2017},
	urldate = {2018-05-15},
	url = {https://ark.intel.com/products/97150/Intel-Core-i5-7600-Processor-6M-Cache-up-to-4_10-GHz},
}

@online{fooptimality,
	author = {The MathWorks Inc.},
	title =  {First-Order Optimality Measure},
	Year = {2018},
	urldate = {2018-05-15},
	url = {https://www.mathworks.com/help/optim/ug/first-order-optimality-measure.html?searchHighlight=first%20order%20optimality&s_tid=doc_srchtitle},
}